﻿@model InternetShopWebProject.Common.Models.StickerCountModel

@Html.HiddenFor(p => p.Key.Id)
@Html.HiddenFor(p => p.Key.Name)
@Html.HiddenFor(p => p.Key.Height)
@Html.HiddenFor(p => p.Key.Wight)
@Html.HiddenFor(p => p.Key.CategotyId)
@Html.HiddenFor(p => p.Key.TypeId)
@Html.HiddenFor(p => p.Key.Rating)
@Html.HiddenFor(p => p.Key.Added)
@Html.HiddenFor(p => p.Key.Image)
@Html.HiddenFor(p => p.Key.Price)

<style>
  .sticker {
    display: flex;
    flex-direction: row;
    height: 150px;
    border: thin;
    border-style: solid;
    border-radius: 10px;
    margin-bottom: 10px;
  }

    .sticker img {
      object-fit: contain;
      width: 25%;
      padding: 10px;
      padding-left: 15px;
    }

  input[type=number]::-webkit-inner-spin-button, input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }

  input[type=number] {
    text-align: -webkit-center;
    width: 40px;
    height:60px;
    align-self:center;
  }
  
  .sticker-count button {
    font-size: large;
    height:35px;
    width:30px;
    align-self:center;
  }
  .sticker-count {
    width: 20%;
    display:flex;
    flex-direction:row;
    justify-content:space-around;
  }
  .sticker .sticker-info {
    width: 35%;
  }
  .sticker-remove{
    width:4%;
  }
  .sticker-remove a {
    float:right;
  }
  .sticker-price{
    width:15%;
    display:flex;
    flex-direction:row;
  }
</style>

<div class="sticker">
  <img src="~/Content/Image/@Model.Key.Image" />
  <div class="sticker-info">
    @Html.DisplayFor(s => s.Key.Name)
    <div>
      @(Model.Key.Wight + "/" + Model.Key.Height)
    </div>
    @Html.DisplayFor(s => s.Key.Rating)
  </div>
  <div class="sticker-price">
    <label id="@("price" + Model.Key.Id)">@(Model.Key.Price)</label>
    <label>&nbsp;грн</label>
  </div>
  <div class="sticker-count">
    <button type="button" class="btn btn-outline-dark btn-sm" onclick="IncreaseProductCount('@(Model.Key.Id)')">+</button>
    @Html.TextBoxFor(s => s.Value, new { type = "number", id = ("count" + Model.Key.Id), @readonly = "true" })
    <button type="button" class="btn btn-outline-dark btn-sm" onclick="DecreaseProductCount('@(Model.Key.Id)')">-</button>
  </div>
  <div class="sticker-remove">
    @Html.ActionLink("X", "RemoveProduct", "ShoppingBag", new { model = Model })
  </div>
</div>

<script>
  function IncreaseProductCount(id) {
    var el = document.getElementById('count' + id);
    el.value = parseInt(el.value) + 1;
    var priceEl = document.getElementById('price' + id);
    ChangeTotalPrice(parseFloat(priceEl.textContent));
  }
  function DecreaseProductCount(id) {
    var el = document.getElementById('count' + id);
    var value = parseInt(el.value) - 1;
    if (value != 0) {
      el.value = value;
      var priceEl = document.getElementById('price' + id);
      ChangeTotalPrice(parseFloat("-" + priceEl.textContent));
    }
  }
  function ChangeTotalPrice(value) {
    var el = document.getElementById('totalPrice');
    var elValue = parseFloat(el.textContent);
    el.textContent = (elValue + value).toFixed(2);
  }
</script>